Subject: [dispatch] Opportunistic encryption for email with pEp / Request for feedback

From: Bernie Hoeneisen <[email-masked]>
Date: Thu, 15 Feb 2018 16:17:15 +0100 (CET)

Dear dispatch list

After an introduction in Prague 
<https://datatracker.ietf.org/doc/minutes-99-dispatch/>, a successful 
BarBoF in Singapore and many hallway discussions we learned that there is 
considerable interest for secure interpersonal messaging, which is at the 
same time also usable and interoperable with systems already deployed out 
in the wild. The main concept of the pretty Easy privacy (pEp) work has 
already been published as I-D:

     https://tools.ietf.org/html/draft-birk-pep

Basically it is about enhanced opportunistic encryption in email (and 
other messaging). We are seeking more feedback on our existing work as 
well to find the right venue (and scope) for this work to continue in the 
IETF.

In addtion to the main draft, we are working on the following topics (to 
be published as I-Ds shortly), whose early drafts your may access already:

- New privacy-enhancing formats for email based upon already existing
   standards, e.g. PGP/MIME (minimizing unnecessarily exposed meta data,
   including encrypting the subject):
   https://pep.foundation/dev/repos/internet-drafts/file/tip/pep-email/draft-birk-pep-email-NN.txt

- Rating System and Privacy Status to label secure / private types of
   communications:
   https://pep.foundation/dev/repos/internet-drafts/file/tip/pep-rating/draft-birk-pep-rating-NN.txt

- Trustwords (similar to the PGP wordlist or RFC 2289) to make
   authenticated communications easy for end-users:
   https://pep.foundation/dev/repos/internet-drafts/file/tip/pep-trustwords/draft-birk-pep-trustwords-NN.txt

What do you think of this work? If this work is interestig to you, 
we kindly ask you to express your opinion on this list.

Looking forward to your feedback!

Best,
  Bernie et al.

---

From: Bernie Hoeneisen <[email-masked]>
Date: Fri, 23 Feb 2018 11:53:08 +0100 (CET)

In my recent email I omitted the information that the Internet Society 
(ISOC) is diretly supporting the pEp work and it has been selected as an 
Innovative Projects for Beyond the Net Funding. Please find more 
information on:

  https://www.internetsociety.org/blog/2017/06/12-innovative-projects-selected-for-beyond-the-net-funding/

cheers
  Bernie

--

http://ucom.ch/
Modern Telephony Solutions and Tech Consulting for Internet Technology

On Thu, 15 Feb 2018, Bernie Hoeneisen wrote:

> <https://datatracker.ietf.org/doc/minutes-99-dispatch/>, a successful BarBoF 
> in Singapore and many hallway discussions we learned that there is 
> same time also usable and interoperable with systems already deployed out in 
> the wild. The main concept of the pretty Easy privacy (pEp) work has already 
> been published as I-D:
>
> Basically it is about enhanced opportunistic encryption in email (and other 
> messaging). We are seeking more feedback on our existing work as well to find 
> the right venue (and scope) for this work to continue in the IETF.
>
> In addtion to the main draft, we are working on the following topics (to be 
> published as I-Ds shortly), whose early drafts your may access already:
>
> What do you think of this work? If this work is interestig to you, we kindly 
> ask you to express your opinion on this list.
>
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch
>

---

From: Mary Barnes <[email-masked]>
Date: Tue, 27 Feb 2018 16:21:14 -0600

Hi folks,

So, I've not seen anyone respond to this email.  Is there anyone interested
in this work?  We need to be putting together the agenda for London and
input as to whether folks think this is a topic of interest and worth
discussing f2f would be very helpful.

Regards,
Mary.
DISPATCH WG tri-chair

On Thu, Feb 15, 2018 at 9:17 AM, Bernie Hoeneisen <[email-masked]>
wrote:

> Dear dispatch list
>
> After an introduction in Prague <https://datatracker.ietf.org/
> doc/minutes-99-dispatch/>, a successful BarBoF in Singapore and many
> hallway discussions we learned that there is considerable interest for
> secure interpersonal messaging, which is at the same time also usable and
> interoperable with systems already deployed out in the wild. The main
> concept of the pretty Easy privacy (pEp) work has already been published as
> I-D:
>
> other messaging). We are seeking more feedback on our existing work as well
> to find the right venue (and scope) for this work to continue in the IETF.
>
>   https://pep.foundation/dev/repos/internet-drafts/file/tip/
> pep-trustwords/draft-birk-pep-trustwords-NN.txt
>
>
> What do you think of this work? If this work is interestig to you, we
> kindly ask you to express your opinion on this list.
>